if (($# != 1))
then
    echo "Required argument: input \".mat\" file"
    exit 1
fi

set -xe

my_base=`basename $1 .mat`

cat >/tmp/convert_v6_$$.m <<EOF
clear
cd $PWD
load('$1')
save('${my_base}_v6', '-v6')
exit
EOF

matlab -nojvm -r "run('/tmp/convert_v6_$$.m')"
