# Appends the content of a source triplet of shapefiles into a
# destination triplet of shapefiles.

if (($# != 2))
then
    echo "Usage: shp_tr_append.sh from_triplet to_triplet"
    exit 1
fi

set -xe

for my_base in extremum outermost_contour max_speed_contour
do
    shpcat $1/$my_base $2/$my_base
    dbfcat $1/$my_base $2/$my_base
done
